#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include "error_message.h"


#ifdef  HAVE_CONFIG_H
#include "util_config.h"
#endif

#ifdef USE_ZRAM
#include <z_par.h>
#endif

void    err_fatal(char *funct, char *fmt, ...)
{
  va_list args;
  /*
  ** Display the name of the function that called error
  */
  fprintf(stderr, "%s: ", funct);
  /*
  ** Display the remainder of the message
  */
  va_start(args, fmt);
  vfprintf(stderr, fmt, args);
  va_end(args);
  fprintf(stderr,"\n\n");
#ifdef USE_DMALLOC
dmalloc_shutdown();
#endif
  abort();
}



void    err_warning(char *funct, char *fmt, ...)
{
  va_list args;
  /*
  ** Display the name of the function that called error
  */
#ifdef USE_ZRAM
  fprintf(stderr, "node %d: %s: ", z_myproc,funct);
#else
  fprintf(stderr, "%s: ", funct);
#endif

  /*
  ** Display the remainder of the message
  */
  va_start(args, fmt);
  vfprintf(stderr, fmt, args);
  va_end(args);
  fprintf(stderr,"\n\n");
}




