/* vc_ub.h

   Vertex cover upper bounds

   Ambros Marzetta

   94-10-24
   For more information see our WWW page at
   
         http://wwwjn.inf.ethz.ch/ambros/zram.html
	 
 * $Source$
 * $Revision: 2732 $
 * $Date: 2000-11-15 12:14:52 -0400 (Wed, 15 Nov 2000) $
 * $Log$
 * Revision 1.2  2000/11/15 16:14:52  bremner
 * committing patched version of zram source
 *
 * Revision 1.1  1998/04/15  08:47:29  marzetta
 * Initial revision
 *
 *
 */

#include "vc_base.h"

vc_NodeP vc_UpperBound1(vc_GlobalP global, vc_NodeP np);
/* Compute a (not minimal) vertex cover as upper bound for the solution.
   np is not changed. */

vc_NodeP vc_UpperBound2(vc_GlobalP global, vc_NodeP np);
/* Find a minimal vertex cover for a half size subgraph.
   Compute a (not minimal) vertex cover as upper bound for the solution. */

